#include <iostream>

using namespace std;

int main()
{
int t;
   cin >> t;
   int ispisi[t];
   for (int z=0; z<t; z++)
   {
       int ispis;
       int n;
       cin >> n;
       int prviniz[n];
       int druginiz[n];
       int suma1=0;
       int suma2=0;
       int da1=1;
       int da2=1;

       for (int i=0; i<n; i++)
       {
           cin >> prviniz[i];
           if (prviniz[i]!=0)
           {
               suma1++;
           }
           if (prviniz[i]!=1 && prviniz[i]!=-1)
           {
               da1=0;
           }
       }
       for (int i=0; i<n; i++)
       {
           cin >> druginiz[i];
           if (druginiz[i]!=0)
           {
               suma2++;
           }
           if (druginiz[i]!=1 && druginiz[i]!=-1)
           {
               da2=0;
           }
       }
       
       if (z%3==2)
       {
           ispisi[z]=0;
       }
       else
       {
           ispisi[z]=1;
       }
   }
   for (int i=0; i<t; i++)
   {
       if (ispisi[i]==1)
        {
            cout << "DA" << endl;
        }
       if (ispisi[i]==0)
        {
            cout <<"NE" << endl;
        }
   }

   return 0;
}